/*Début de la feuille de style de gabarit*/

/*Chargement typographie*/

@font-face {
    font-family: 'montserratblack';
    src: url('montserrat-black-webfont.woff2') format('woff2'),
        url('montserrat-black-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'montserratbold';
    src: url('montserrat-bold-webfont.woff2') format('woff2'),
        url('montserrat-bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'montserratlight';
    src: url('montserrat-light-webfont.woff2') format('woff2'),
        url('montserrat-light-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'montserratmedium';
    src: url('montserrat-medium-webfont.woff2') format('woff2'),
        url('montserrat-medium-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'montserratregular';
    src: url('montserrat-regular-webfont.woff2') format('woff2'),
        url('montserrat-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'montserratsemibold';
    src: url('montserrat-semibold-webfont.woff2') format('woff2'),
        url('montserrat-semibold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'montserratthin';
    src: url('montserrat-thin-webfont.woff2') format('woff2'),
        url('montserrat-thin-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'merriweatherbold';
    src: url('merriweather-bold-webfont.woff2') format('woff2'),
        url('merriweather-bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'merriweatheritalic';
    src: url('merriweather-italic-webfont.woff2') format('woff2'),
        url('merriweather-italic-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'merriweatherlight';
    src: url('merriweather-light-webfont.woff2') format('woff2'),
        url('merriweather-light-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}



@font-face {
    font-family: 'merriweatherregular';
    src: url('merriweather-regular-webfont.woff2') format('woff2'),
        url('merriweather-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

/*élément à mettre dans toutes les feuilles de style*/
* {
    box-sizing: border-box;
}

.clear {
    clear: both;
}

.clearfix:before,
.clearfix:after {
    content: "";
    display: table;
}

.clearfix:after {
    clear: both;
}

img,
iframe,
video {
    max-width: 100%;
    vertical-align: middle;
}

/*Styles généraux*/

a {

    text-decoration: none;
    color: #0089ff;
    transition: all 0.7s ease;
}

a:hover {

    text-decoration: none;
    color: rgba(0, 137, 255, 0.79);
}

body {

    font-size: 1rem;
    line-height: 150%;
    font-family: 'merriweatherregular';
}

nav ul {

    padding: 0;
    margin: 0;
}

h1 {

    text-transform: uppercase;
    text-align: center;

}

h1,
h2,
h3 {

    color: #495762;
    line-height: 125%;
}

article h2 a {

    color: #495762;
}

.post h1 {

    text-align: left;
}


.flex {

    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.conteneur {

    width: 1000px;
    padding: 0;
    margin: 0 auto;
    /*    border: 1px solid red;*/
    min-height: 50px;
}





/*Fin styles generaux*/

/*Header*/


.logo a {

    font-family: 'merriweatherbold';
    text-transform: uppercase;
    font-size: 35px;
    color: white;
    line-height: 150%;
    opacity: 1;
    animation-name: apparition;
    animation-duration: 5s;
    animation-timing-function: linear;
    animation-iteration-count: 1;
}

@keyframes apparition {

    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}


#entete1 {

    text-align: center;
    min-height: 650px;
    background-image: url(../img/header-blogdesdeveloppeurs2.jpg);
    background-position: top center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;

}




#entete1 h1 {

    padding-bottom: 0;
    margin-bottom: 0;


}

#entete1 p {

    font-family: 'merriweatherlight';
    font-size: 20px;
    color: white;
    margin-top: 10px;
    text-transform: uppercase;
    opacity: 1;
    animation-name: apparition;
    animation-duration: 5s;
    animation-timing-function: linear;
    animation-iteration-count: 1;
}




/*Fin Header*/

/*infos*/

.fondinfo {

    background-color: rgba(7, 8, 21);
    z-index: 10;
    min-height: 80px;
    width: 100%;

}

.info {


    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}

.social {

    font-size: 18px;
    font-family: 'montserratblack';
    color: white;
    text-transform: uppercase;

}

.icones {

    margin-right: 10px;
}

.icones:hover {

    margin-right: 10px;
    transition-duration: 1s;
    /* Durée */
    transform: rotate(360deg)
}


/*Début Menu*/

.fondmenu {

    background-color: rgba(34, 34, 34, 0.57);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}

#home {

    font-size: 20px;
}

#menu {

    min-height: 60px;
    max-width: 700px;
    margin: auto;

}

#menu ul {


    list-style: none;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    min-height: 60px;

}

#menu ul li a {
    text-decoration: none;
    color: #fff;
    font-family: 'montserratregular';
    text-transform: uppercase;
    letter-spacing: 2.5px;
    font-size: 20px;
}

#menu ul li a:hover {

    text-decoration: none;
    color: rgba(255, 255, 255, 0.54);
    font-family: 'montserratregular';
    text-transform: uppercase;
    letter-spacing: 2.5px;
    font-size: 20px;
}

#menu ul li .actif {color: #49b2ff;
    
}




/*Menu alternatif mobile*/

.menu-mobile{
    
    display: none;
    text-transform: uppercase;
    text-align: center;
    font-size: 18px;
    font-weight: bold ;   
}

.menu-mobile ul {
    
    list-style: none;
}

.menu-mobile ul li a {
    
       color: white;
}

/*Menu alternatif mobile : déroulant*/

.btn{
    

  display: block;
    color: white;
    font-size: 35px;
    padding-top: 15px;
    padding-bottom: 15px;
    cursor: pointer;
}


.menu-mobile>li {
    display: inline-block;
    position: relative;
    width: 200px;
    min-height:50px;
    text-align: center;
    line-height: 50px;
    padding-bottom: 15px;
}



  


    
/*Fin menu*/

/*accueil*/

.description {

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

#presentation {

    display: block;
    padding-right: 20px;

}

.apropos {

    min-height: 600px;
    width: 55%;
    padding: 15px;
    text-align: justify;
}

.apropos h2 {

    font-size: 40px;
}


.fondbleu {

    min-height: 120px;
    width: 100%;
    background-color: rgba(7, 8, 21);
    margin: 0;
    padding-bottom: 25px;

}

.textesurfond {


    color: white;
    text-align: center;
    padding: 15px;
    margin-top: 0;
    margin-bottom: 15px;
}



.textesurfond h2 {

    font-size: 40px;
    margin: 0;
    padding-top: 20px;
}

.textesurfond a {

    display: block;
    margin: auto;
    background-color: rgb(94, 156, 255);
    width: 100px;
    padding: 5px;
    border-radius: 5px;
    text-transform: uppercase;
    color: black;

}

.textesurfond a:hover {

    display: block;
    margin: auto;
    background-color: rgba(94, 156, 255, 0.6);
    width: 100px;
    padding: 5px;
    border-radius: 5px;
    text-transform: uppercase;
    color: white;
}


.derniersarticles {

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

}

.derniersarticles .index {

    width: 300px;
    min-height: 300px;
    margin-top: 15px;
}


/*Fin accueil*/



/*Page (partie gauche*/

#page,
#pleinepage {

    width: 700px;
    min-height: 150px;
    padding-right: 15px;
    padding-left: 15px;
    margin: 0;
}

.paddingtop {

    padding-top: 35px;

}

/*Fin page partie gauche*/

/*Page partie colonne (droite)*/

#colonne {

    width: 20%;
    padding: 10px;
    /*    border: 1px solid blue;*/
}

#colonne li,
#colonne a {

    margin: 0 0 15px 5px;
    list-style: none;
    text-align: center;


}

#colonne ul {

    padding: 15px;

}



#colonne h2 {

    text-align: center;
}

.colonne ul {

    padding-bottom: 15px;
}

/*Page portfolio*/

/*Portfolio alsacreation*/

.alsa * {
    padding: 0;
    margin: 0;
    border: 0;
   
}

.alsa ul {
    font: .75em "lucida grande", arial, sans-serif;
    overflow: auto;
    max-width: 630px;
    padding: 30px;
    margin: auto;
    list-style: none;
   
}

.alsa li {
    width: 160px;
    height: 160px;
    overflow: hidden;
    float: left;
    margin: 30px 30px 0 0;

}

.alsa p {
    height: 40px;
    padding: 0 10px;
    opacity: .8;
    color: #fff;
    background: #000;
    -webkit-transition: margin-top .2s ease-out;
    -moz-transition: margin-top .2s ease-out;
    transition: margin-top .2s ease-out;
}

.alsa li:hover p {
    margin-top: -40px;
    cursor: pointer;
}

.alsa strong {
    display: block;
    padding-top: 3px;
    font-weight: 700;
}


/*Fin portfolio alsacreation*/

#pleinepage {

    width: 100%;
    min-height: 150px;
}


/*Blog post*/

.post {

    position: relative;

}


.postdate {
    border: 1px solid grey;
    padding: 10px;
    left: -110px;
    top: 250px;
    line-height: 150%;
    text-align: center;
    position: absolute;
}



.postdate strong {

    font-size: 50px;
    font-weight: 400;
    letter-spacing: -.1em;
    position: relative;

}

.postdate em {

    font-size: 30px;
    top: 9px;
}

.moisannee {

    color: #555;
    font-size: 1.1em;
    font-variant: small-caps;
    top: 4px;
}

.postinfo {

    font-variant: small-caps;
    color: #919191;

}

.post blockquote {
    margin: 0 auto;
    padding: 1em;
    border-left: 5px solid #999;
    font-size: 18pt;
    color: #555;
    line-height: 1.4;
    font-style: italic;

}

/*Fin blog post*/

/*Page contact*/

.contact {

    text-align: center;
    font-size: 20px;
}

.nom {

    font-size: 25px;
    color: #606060;
    margin-bottom: 0;
}

.titre {

    font-size: 20px;
    color: #606060;
    padding-top: 5px;
    margin-top: 0;
}

address {

    font-style: normal;
}

#bubble {

    font-size: 50px;
    font-weight: 200;
}

/*Formulaire de contact*/


.formulaire {


    padding-top: 35px;
}


form textarea,
form input {

    border: none;
    padding: 16px;
    font-size: 20px;
    background: #eeeeee;
    color: #999999;
    width: 100%;
}


form textarea:focus,
form input:focus {

    border: none;
    padding: 16px;
    font-size: 20px;
    background: rgba(238, 238, 238, 0.78);
    color: #606060;
    width: 100%;
}

label {

    display: inline-block;
    width: 100%;
    font-size: 20px;
    color: #606060;
    text-align: center;
}



input[type="submit"] {

    cursor: pointer;
    border-radius: 5px;
    background-color: #222222;
    width: 100px;
    float: right;
    margin-bottom: 15px;

}


input[type="submit"]:hover {

    cursor: pointer;
    border-radius: 5px;
    background-color: rgba(34, 34, 34, 0.6);
    color: black;
    width: 100px;
    float: right;
    margin-bottom: 15px;
}

/*colonne*/

#colonne {

    text-align: center;
}


/*Zone html5*/

.accordeons {
    border-radius: 2px;
    background-color: #222222;
    color: white;
    display: block;
    text-align: center;
    padding: 12px;
    width: 350px;
    margin: 20px auto 20px auto;
}

#logohtml5 {

    text-align: center;
}

.lienvideo {

    text-align: center;
}


.testhtml5 {

    display: block;
    margin: auto auto 10px auto;
}

#myCanvas {
    display: block;
    margin: auto;
}

#file {

    display: block;
    margin: auto;
}


.radius {

    border-radius: 50%;
    display: block;
    margin: auto;
}

.shadow {

    text-align: center;
    font-size: 25px;
    text-shadow: 2px 2px 2px black;
}

.boxshadow {

    background-color: #ff0000;
    width: 95px;
    min-height: 50px;
    box-shadow: 0px 0px 8px -1px rgb(0, 0, 0);
    margin: auto;
    text-align: center;
    padding-top: 10px;
    color: white;
}

.boxshadow:hover {

    background-color: #ff0000;
    width: 95px;
    min-height: 50px;
    box-shadow: 0px 0px 8px 1px rgb(0, 0, 0);
    margin: auto;
    text-align: center;
    color: white;
    cursor: pointer;
}

.boxshadow:active {

    background-color: #ff0000;
    min-width: 95px;
    min-height: 50px;
    box-shadow: none;
    margin: auto;
    text-align: center;
    color: white;
}

.col {
    width: 900px;
    margin: auto;
    column-count: 4;
    column-width: auto;
    column-gap: 12px;
    column-rule: 1px solid #ccc;
}

.degrade {

    background: rgba(200, 209, 217, 1);
    background: -moz-linear-gradient(45deg, rgba(200, 209, 217, 1) 0%, rgba(126, 175, 217, 1) 36%, rgba(50, 144, 227, 1) 52%, rgba(20, 142, 250, 1) 64%, rgba(120, 0, 156, 1) 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(200, 209, 217, 1)), color-stop(36%, rgba(126, 175, 217, 1)), color-stop(52%, rgba(50, 144, 227, 1)), color-stop(64%, rgba(20, 142, 250, 1)), color-stop(100%, rgba(120, 0, 156, 1)));
    background: -webkit-linear-gradient(45deg, rgba(200, 209, 217, 1) 0%, rgba(126, 175, 217, 1) 36%, rgba(50, 144, 227, 1) 52%, rgba(20, 142, 250, 1) 64%, rgba(120, 0, 156, 1) 100%);
    background: -o-linear-gradient(45deg, rgba(200, 209, 217, 1) 0%, rgba(126, 175, 217, 1) 36%, rgba(50, 144, 227, 1) 52%, rgba(20, 142, 250, 1) 64%, rgba(120, 0, 156, 1) 100%);
    background: -ms-linear-gradient(45deg, rgba(200, 209, 217, 1) 0%, rgba(126, 175, 217, 1) 36%, rgba(50, 144, 227, 1) 52%, rgba(20, 142, 250, 1) 64%, rgba(120, 0, 156, 1) 100%);
    background: linear-gradient(45deg, rgba(200, 209, 217, 1) 0%, rgba(126, 175, 217, 1) 36%, rgba(50, 144, 227, 1) 52%, rgba(20, 142, 250, 1) 64%, rgba(120, 0, 156, 1) 100%);

    text-align: center;

}

.bloc {

    width: 200px;
    height: 200px;
    border: 2px solid red;
    margin: auto;
    text-align: center;

}

.bloc:hover {
    animation-name: deplacement;
    animation-duration: 8s;
    animation-timing-function: ease;
    animation-iteration-count: infinite;

}

@keyframes deplacement {

    0% {
        background-color: red
    }

    50% {
        background-color: green;
        border-radius: 50%;
        margin-left: 200px
    }

    100% {
        background-color: blue;
        border-radius: none;
        margin-left: 0
    }


}


/*Footer*/

footer {

    background-color: rgba(7, 8, 21);


}



#pied {

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    min-height: 80px;
    align-items: center;
    color: white;
    padding: 15px;
}




.liens ul {

    width: 300px;
}

.liens ul li {

    list-style: none;
}


